import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Bug here.
 * 
 * @author Stephen H.
 * @version 1.1
 */
public class Bug extends enemies
{
    int travelDistance;
    int timer;
    int fwdBkwd;
    int speed;
    
    /**
     * sets up how far the bug goes how fast it goes and which way it faces when it starts
     */
    public Bug(int blocks, int S, int FB)
    {
        speed = S;
        fwdBkwd = FB;
        
        if (FB != 1)
        {
            setImage("Enemy Bug2.png");
        }
        
        if (S == 1)
        {
            travelDistance = (blocks * 50);
        }
        else if (S == 2)
        {
            travelDistance = (blocks * 25);
        }
    }    
    
    /**
     * Act - do whatever the Bug wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        moveMe();
    }    
    
    /**
     * moves the bug back and forth across the screen depending on how far it was set to go
     * then changes the image depending on which way it is facing
     */
    public void moveMe()
    {
        //switches the image and the direction the bug is facing
        if (fwdBkwd == 0)
        {
            if (timer == 0)
            {
                fwdBkwd = 1;
                timer = travelDistance;
                setImage("Enemy Bug2.png");
            }
            else
            {
                timer--;   
            }
        }
        else
        {
            if (timer == 0)
            {
                fwdBkwd = 0;
                timer = travelDistance;
                setImage("Enemy Bug.png");
            }
            else
            {
                timer--;
            }
        }
        
        //moves the bug in the direction it is facing at the speed specified in the constructor
        if (fwdBkwd == 0)
        {
            setLocation(getX() + speed, getY());
        }
        else
        {
            setLocation(getX() - speed, getY());
        }
    }
}
