import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class ScrollingMovingBlock here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class ScrollingMovingBlock extends scrollerBlock
{
    int travelDistance;
    int timer;
    int fwdBkwd;
    int speed;
    int extraSpeed;
    scroller world;
    Player player;
    /**
     * specifies how far the block moves, at what speed, which direction it starts at, and the world that it is in.
     */
    public ScrollingMovingBlock(int blocks, int S, int FB, scroller w)
    {
        speed = S;
        fwdBkwd = FB;
        if (S == 1)
        {
            travelDistance = (blocks * 50);
        }
        else if (S == 2)
        {
            travelDistance = (blocks * 25);
        }
        
        world = w;
        player = world.getPlayer();
    }
    
    /**
     * Act - do whatever the movingStone wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        moveMe();
    }    
    
    /**
     * moves the block in the direction it is facing. Also has the scrolling code.
     */
    public void moveMe()
    {
        //switches the direction that the block if facing
        if (fwdBkwd == 0)
        {
            if (timer == 0)
            {
                fwdBkwd = 1;
                timer = travelDistance;
            }
            else
            {
                timer--;   
            }
        }
        else
        {
            if (timer == 0)
            {
                fwdBkwd = 0;
                timer = travelDistance;
            }
            else
            {
                timer--;
            }
        }
        
        //moves the block in the direction that it is facing
        if (fwdBkwd == 0)
        {
            setLocation(getX() + speed, getY());
        }
        else
        {
            setLocation(getX() - speed, getY());
        }
        
        //this is the scrolling part
        if (player.moving == 'R')
        {
            scroll(-2);
        }
        else if (player.moving == 'L')
        {
            scroll(2);
        }
        extraSpeed = player.getXVelocity();
        scroll(extraSpeed);  
    }   
}
