import greenfoot.*;

public class levelSelect extends World
{
    public levelSelect()
    {    
        super(900, 600, 1);

        addObject(new BackButton(), 100, 550);
        addWorlds(getLevels());
    }

    public String getLevels()
    {
        String level;
        if(UserInfo.isStorageAvailable())
        {
            UserInfo myInfo = UserInfo.getMyInfo();
            level = myInfo.getString(1);
            if(level.length() != 20)
            {
                level = "oooooooooooooooooooo";
                myInfo.setString(1,level);
                myInfo.store();
            }
        }
        else 
        {
            level = "xxxxxxxxxxxxxxxxxxxx";
        }
        return level;
    }

    public void addWorlds(String level)
    {
        for (int i = 0; i < 20; i++)
        {
            if ('x' == level.charAt(i))
            {
                buttons btn = null;
                int w = (i / 5) + 1;
                int n = (i % 5) + 1;
                switch(w)
                {
                    case 1: btn = new world1(n); break;
                    case 2: btn = new world2(n); break;
                    case 3: btn = new world3(n); break;
                    case 4: btn = new world4(n); break;
                }
                addObject(btn, 425 + 75 * n, 50 + 100 * w);
                addObject(new levelText(w, n),425 + 75 * n, 80 + 100 * w);
            }
        }
        
        if ('x' == level.charAt(5))
        {
            addObject(new world1(-1), 400, 150);
            addObject(new levelText(-1, 1), 400, 180);
        }
    }
}